version: '3.7'

services:
  redis:
    image: redis:alpine

  k8s-bench:
    build: .
    volumes:
      - /var/run/docker.sock:/var/run/docker-host.sock
      - ${HOME}/.kube:/usr/local/share/kube-localhost
      - ${HOME}/.minikube:/usr/local/share/minikube-localhost
      - ..:/workspace
    working_dir: /workspace
    ports:
      - '7000:7000'
